<?php
$path = dirname(__FILE__) . "/PEAR";        
set_include_path(get_include_path() . PATH_SEPARATOR . $path);
require_once('HTTP/OAuth/Consumer.php');
require_once('../consumer_key.php');

session_start();

$consumer = new HTTP_OAuth_Consumer($consumer_key, $consumer_secret);

$http_request = new HTTP_Request2();
$http_request->setConfig('ssl_verify_peer', false);
$consumer_request = new HTTP_OAuth_Consumer_Request;
$consumer_request->accept($http_request);
$consumer->accept($consumer_request);

$callback = (empty($_SERVER["HTTPS"]) ? "http://" : "https://") . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
$callback = str_replace("getapikey.php", "getapikey2.php", $callback);
$consumer->getRequestToken('https://api.twitter.com/oauth/request_token', $callback);
$_SESSION['request_token'] = $consumer->getToken();
$_SESSION['request_token_secret'] = $consumer->getTokenSecret();
$auth_url = $consumer->getAuthorizeUrl('https://api.twitter.com/oauth/authorize');
header('Location: '.$auth_url); // 連携アプリ認証画面へ飛ばす

?>
