<?php
$path = dirname(__FILE__) . "/PEAR";        
set_include_path(get_include_path() . PATH_SEPARATOR . $path);
require_once('HTTP/OAuth/Consumer.php');
require_once('../consumer_key.php');

session_start();

$consumer = new HTTP_OAuth_Consumer($consumer_key, $consumer_secret);

// SSLの設定
$http_request = new HTTP_Request2();
$http_request->setConfig('ssl_verify_peer', false);
$consumer_request = new HTTP_OAuth_Consumer_Request;
$consumer_request->accept($http_request);
$consumer->accept($consumer_request);

// Access tokenの取得
if(isset($_GET['oauth_verifier'])) {
    $verifier = $_GET['oauth_verifier'];
    $consumer->setToken($_SESSION['request_token']);
    $consumer->setTokenSecret($_SESSION['request_token_secret']);
    $consumer->getAccessToken('https://api.twitter.com/oauth/access_token', $verifier);
    $access_token = $consumer->getToken();
    $access_token_secret = $consumer->getTokenSecret();

    $consumer->setToken($access_token);
    $consumer->setTokenSecret($access_token_secret);
    $url = "https://api.twitter.com/1.1/account/settings.json";
    $response = json_decode($consumer->sendRequest($url, array(), "GET")->getBody(), true);
    $screen_name = $response['screen_name'];

    $fp = fopen("apikey.txt", "w");
    fwrite($fp, $screen_name."\n");
    fwrite($fp, $consumer_key."\n");
    fwrite($fp, $consumer_secret."\n");
    fwrite($fp, $access_token."\n");
    fwrite($fp, $access_token_secret."\n");
    fclose($fp);

    echo "screen_name : ".$screen_name."<br />";
    echo "consumer_key : ".$consumer_key."<br />";
    echo "consumer_secret : ".$consumer_secret."<br />";
    echo "access_token : ".$access_token."<br />";
    echo "access_token_secret : ".$access_token_secret."<br />";
    echo "<br /><br />上記の内容をapikey.txtに保存しました";

}

?>
